RDKit::TDTMolSupplier Class Reference

lazy file parser for TDT files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::TDTMolSupplier:

## Public Member Functions

| TDTMolSupplier (const std::string &fileName, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
| TDTMolSupplier (std::istream *inStream, bool takeOwnership=true, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
| TDTMolSupplier ()
| ~TDTMolSupplier ()
void | setData (const std::string &text, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
void | init ()
void | reset ()
ROMol * | next ()
bool | atEnd ()
void | moveTo (unsigned int idx)
ROMol * | operator[] (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item More...
unsigned int | length ()
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()

## Additional Inherited Members

Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream
bool | df_owner

## Detailed Description

lazy file parser for TDT files

Definition at line 264 of file MolSupplier.h.

## Constructor & Destructor Documentation

## TDTMolSupplier() [1/3]

RDKit::TDTMolSupplier::TDTMolSupplier | ( | const std::string & | fileName,
|  | const std::string & | nameRecord = `""`,
|  | int | confId2D = `-1`,
|  | int | confId3D = `0`,
|  | bool | sanitize = `true`
| ) |  |

explicit

Parameters

  fileName | - the name of the TDT file
  nameRecord | - property name for the molecule name. If empty (the default), the name defaults to be empty
  confId2D | - if >=0 and 2D coordinates are provided, the 2D structure (depiction) in the input will be read into the corresponding conformer id.
  confId3D | - if >=0 and 3D coordinates are provided, the 3D structure (depiction) in the input will be read into the corresponding conformer id.
  sanitize | - if true sanitize the molecule before returning it

## TDTMolSupplier() [2/3]

RDKit::TDTMolSupplier::TDTMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | const std::string & | nameRecord = `""`,
|  | int | confId2D = `-1`,
|  | int | confId3D = `0`,
|  | bool | sanitize = `true`
| ) |  |

explicit

## TDTMolSupplier() [3/3]

RDKit::TDTMolSupplier::TDTMolSupplier | ( |  | ) |

## ~TDTMolSupplier()

RDKit::TDTMolSupplier::~TDTMolSupplier | ( |  | ) |

## Member Function Documentation

## atEnd()

bool RDKit::TDTMolSupplier::atEnd | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

## getItemText()

std::string RDKit::TDTMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters

  idx | - which item to return

## init()

void RDKit::TDTMolSupplier::init | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

## length()

unsigned int RDKit::TDTMolSupplier::length | ( |  | ) |

## moveTo()

void RDKit::TDTMolSupplier::moveTo | ( | unsigned int | idx | ) |

## next()

ROMol* RDKit::TDTMolSupplier::next | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

## operator[]()

ROMol* RDKit::TDTMolSupplier::operator[] | ( | unsigned int | idx | ) |

## reset()

void RDKit::TDTMolSupplier::reset | ( |  | ) |

virtual

Implements RDKit::MolSupplier.

## setData()

void RDKit::TDTMolSupplier::setData | ( | const std::string & | text,
|  | const std::string & | nameRecord = `""`,
|  | int | confId2D = `-1`,
|  | int | confId3D = `0`,
|  | bool | sanitize = `true`
| ) |  |

The documentation for this class was generated from the following file:

- MolSupplier.h